<div *ngIf="show">
<div class="modal-header">
  <h4 class="modal-title">Changer la configuration de l'utilisateur <span class="bg-grey px-3">{{user.firstName}} {{user.lastName}}</span></h4>
  <button type="button" class="close" aria-label="Close" (click)="hide()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body text-center">
  <form [formGroup]="updateForm" (ngSubmit)="updateUser()" >
    <div class="form-group">
      <label for="email" class="col-form-label">Adresse email</label>
      <input type="text" class="form-control b-shadow-grey" name="email" formControlName="email" id="email">
    </div>
    <div class="form-group">
      <label for="password" class="col-form-label">Mot de passe</label>
      <input type="password" class="form-control b-shadow-grey" name="password" formControlName="password"
        id="password">
    </div>
    <div class="form-group">
      <label for="wallet" class="col-form-label">Crédit</label>
      <input type="number" class="form-control b-shadow-grey" name="wallet" formControlName="wallet"
        id="wallet">
    </div>
    <div class="text-center">
      <mdb-badge *ngIf="error" danger="true">{{error}}</mdb-badge>
      <mdb-badge *ngIf="submitted && f.email.hasError('email')" danger="true">email non-valide</mdb-badge>
    </div>
    <div class="form-group">
      <input type="submit"  [disabled]="updateForm.status == 'INVALID'"
        class="btn btn-grey" value="Sauvegarder">
    </div>
  </form>
</div>
<div class="modal-footer">
</div>
</div>